"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJsonEntries = exports.validateEntry = void 0;
var ramda_1 = require("ramda");
var validateEntry = function (entry) {
    var entryType = typeof entry;
    return (0, ramda_1.cond)([
        [(0, ramda_1.equals)('string'), (0, ramda_1.always)('string')],
        [(0, ramda_1.equals)('number'), (0, ramda_1.always)('number')],
        [(0, ramda_1.equals)('boolean'), (0, ramda_1.always)('boolean')],
    ])(entryType);
};
exports.validateEntry = validateEntry;
var getJsonEntries = function (json) { return Object.entries(json); };
exports.getJsonEntries = getJsonEntries;
