"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonToPrimitive2 = exports.jsonToPrimitive = void 0;
var R = __importStar(require("ramda"));
var entriesFunction_1 = require("./entriesFunction");
var jsonToPrimitive = function (json, mutableObj) {
    var entries;
    if (Array.isArray(json)) {
        entries = (0, entriesFunction_1.getJsonEntries)(json[0]);
    }
    else {
        entries = (0, entriesFunction_1.getJsonEntries)(json);
    }
    for (var i = 0; i < entries.length; i++) {
        var keyName = entries[i][0];
        var value = entries[i][1];
        var newValue = void 0;
        var newValue2 = {};
        if (verifyIfObjHasChildren(value)) {
            newValue2 = (0, exports.jsonToPrimitive2)(value);
        }
        else {
            newValue = (0, entriesFunction_1.validateEntry)(value);
        }
        if (!R.isEmpty(newValue2)) {
            mutableObj[keyName] = newValue2;
        }
        else {
            mutableObj[keyName] = newValue;
        }
    }
    return mutableObj;
};
exports.jsonToPrimitive = jsonToPrimitive;
var jsonToPrimitive2 = function (json) {
    var entries;
    if (Array.isArray(json)) {
        entries = (0, entriesFunction_1.getJsonEntries)(json[0]);
    }
    else {
        entries = (0, entriesFunction_1.getJsonEntries)(json);
    }
    var newObj = {};
    for (var i = 0; i < entries.length; i++) {
        var keyName = entries[i][0];
        var value = entries[i][1];
        var newValue = void 0;
        if (verifyIfObjHasChildren(value)) {
            newValue = (0, exports.jsonToPrimitive2)(value);
        }
        else {
            newValue = (0, entriesFunction_1.validateEntry)(value);
        }
        newObj[keyName] = newValue;
    }
    return newObj;
};
exports.jsonToPrimitive2 = jsonToPrimitive2;
var verifyIfObjHasChildren = function (obj) {
    if (typeof obj !== 'object')
        return false;
    return Object.keys(obj).length > 1;
};
